Create a Quote Tweet
Posts a new tweet that quotes an existing tweet. Requires the URL of the tweet to be quoted and the new content,$0.0005 per call.
API Belgelerine Dön
/Tweet Actions Endpoints
POST
/twitter/tweets/quoteAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Başlık Parametreleri
Idempotency-Keystringİsteğe bağlı. Her gönderi için benzersiz bir değer (UUID gibi, 1–255 görünür ASCII karakter). Aynı anahtar ve gövdeyle 24 saat içinde yeniden denemek, tekrar gönderi yapmak yerine ilk başarılı yanıtı Idempotent-Replayed: true header'ıyla döndürür ve ücretlendirilmez. Aynı anahtar farklı gövdeyle 422 döndürür.
min length 1 · max length 255
İstek Gövdesi
zorunluapplication/jsonmedia_urlstring | anySingle media URL: image, GIF, or video. Prefer media_urls for multiple images.
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anymedia_urlsstring[] | anyEklenecek görsel veya video URL listesi (maksimum 4 resim veya 1 video)
Özellikleri gösterÖzellikleri gizle
Any of:
string[]
Array of
stringstringany
anytweet_contentstringzorunluTweet veya yanıt içeriği
delegated_account_usernamestring | anydelegated account username
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anycookiestringzorunluKullanıcının kendi yetkilendirilmiş Twitter oturum kimlik bilgileri veya auth_token (BYOC — Bring Your Own Cookie). Sıfır kimlik bilgisi saklama ile durum bilgisi olmayan proxy yürütmesi. [Kimlik Doğrulama Güvenliği](/tr/authentication#write-operations--byoc-bring-your-own-cookie) ve [Cookie Nasıl Alınır](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) sayfasına bakın.
community_namestring | anyName of Twitter community to post in or community id
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyquote_tweet_urlstring | anyURL of tweet to quote
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyproxystring | anyThe proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyYanıtlar
200The ID and user ID of the newly created quote tweet.
codeintegerHTTP durum kodu (200 başarılı anlamına gelir)
default: 200
msgstringYanıt mesajı (örn: 'success')
default: "success"
dataPostTweetData | anyUç nokta tarafından döndürülen ana veri
Özellikleri gösterÖzellikleri gizle
Any of:
PostTweetData
tweet_idstring | anyTweetin benzersiz ID'si
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyuser_idstring | anyKullanıcının benzersiz Twitter ID'si
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anycodeintegerHTTP durum kodu (200 başarılı anlamına gelir)
default: 200
any
any409Aynı Idempotency-Key ile yapılan bir istek hâlâ çalışıyor. Daha sonra aynı anahtarla yeniden deneyin.
422Parametre Doğrulama Hatası
detailValidationError[]Özellikleri gösterÖzellikleri gizle
Array of
ValidationErrorlocstring | integer[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
string | integerAny of:
string
stringinteger
integermsgstringzorunluYanıt mesajı (örn: 'success')
typestringzorunluinputanyctxobject⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)
1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.
2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.
🔑API Yetkilendirmesi
⚙️Parametreler (1)
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/twitter/tweets/quote" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"tweet_content": "Hello, Twitter! 🐦",
"delegated_account_username": "elonmusk",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"community_name": "Python Developers or 1234567890123456789",
"quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/twitter/tweets/quote", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"tweet_content": "Hello, Twitter! 🐦",
"delegated_account_username": "elonmusk",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"community_name": "Python Developers or 1234567890123456789",
"quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/tweets/quote",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"tweet_content": "Hello, Twitter! 🐦",
"delegated_account_username": "elonmusk",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"community_name": "Python Developers or 1234567890123456789",
"quote_tweet_url": "https://twitter.com/user/status/1234567890123456789",
"proxy": "http://username:password@ip:port"
},
)Yanıt
{
"code": 200,
"msg": "success",
"data": {
"tweet_id": "1234567890123456789",
"user_id": "1234567890",
"code": 200
}
}Aynı Idempotency-Key ile yapılan bir istek hâlâ çalışıyor. Daha sonra aynı anahtarla yeniden deneyin.
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}